Bug 1956818 (CVE-2021-23343) - CVE-2021-23343 nodejs-path-parse: ReDoS via splitDeviceRe, splitTailRe and splitPathRe
Summary: CVE-2021-23343 nodejs-path-parse: ReDoS via splitDeviceRe, splitTailRe and sp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-23343
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1956819 1958061 1958064 1961974 1962547 1986744 1986745 1958057 1958058 1958059 1958060 1958062 1958063 1958065 1961577 1961578 1961579 1961580 1962566 1962567 1965700 1965701 1965702 1965703 1965704 1965705 1965706 1965707 1965708 1966762 1986742 1986743 1989902 1989903 1994025 1994026 1994027 1994028
Blocks: 1956821
TreeView+ depends on / blocked
 
Reported: 2021-05-04 13:29 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-02-16 05:06 UTC (History)
72 users (show)

Fixed In Version: path-parse 1.0.7
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in nodejs-path-parse. All versions of package path-parse are vulnerable to Regular Expression Denial of Service (ReDoS) via splitDeviceRe, splitTailRe, and splitPathRe regular expressions. ReDoS exhibits polynomial worst-case time complexity.
Clone Of:
Environment:
Last Closed: 2021-07-22 15:54:48 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2021:3400 0 None None None 2021-08-31 20:51:16 UTC
Red Hat Product Errata RHBA-2021:3478 0 None None None 2021-09-09 12:32:58 UTC
Red Hat Product Errata RHBA-2021:4731 0 None None None 2021-11-18 10:45:06 UTC
Red Hat Product Errata RHSA-2021:2865 0 None None None 2021-07-22 15:12:19 UTC
Red Hat Product Errata RHSA-2021:3016 0 None None None 2021-08-06 00:51:19 UTC
Red Hat Product Errata RHSA-2021:3280 0 None None None 2021-08-26 10:18:51 UTC
Red Hat Product Errata RHSA-2021:3281 0 None None None 2021-08-26 10:15:20 UTC
Red Hat Product Errata RHSA-2021:3623 0 None None None 2021-09-21 13:12:15 UTC
Red Hat Product Errata RHSA-2021:3638 0 None None None 2021-09-22 09:00:43 UTC
Red Hat Product Errata RHSA-2021:3639 0 None None None 2021-09-22 08:51:26 UTC
Red Hat Product Errata RHSA-2021:3666 0 None None None 2021-09-27 07:29:01 UTC
Red Hat Product Errata RHSA-2021:4902 0 None None None 2021-12-01 17:24:02 UTC

Description Guilherme de Almeida Suckevicz 2021-05-04 13:29:38 UTC
All versions of package path-parse are vulnerable to Regular Expression Denial of Service (ReDoS) via splitDeviceRe, splitTailRe, and splitPathRe regular expressions. ReDoS exhibits polynomial worst-case time complexity.

References:
https://snyk.io/vuln/SNYK-JS-PATHPARSE-1077067
https://github.com/jbgutierrez/path-parse/issues/8

Comment 1 Guilherme de Almeida Suckevicz 2021-05-04 13:30:55 UTC
Created nodejs-path-parse tracking bugs for this issue:

Affects: fedora-all [bug 1956819]

Comment 3 Tapas Jena 2021-05-10 19:01:54 UTC
Analysis is complete for AAP 1.2 and as a result, I found that none of the AAP components do use the concerned vulnerable functions i.e. getAnnotationURL() and loadAnnotation(). Hence,  marking AAP as "Not Affected" .

Comment 4 Tapas Jena 2021-05-10 19:04:19 UTC
Correcting the vulnerable functions : splitDeviceRe, splitTailRe and splitPathRe. None of these are used by AAP 1.2 and its components.

Comment 7 Przemyslaw Roguski 2021-05-11 18:05:56 UTC
Statement:

In Red Had Quay , whilst a vulnerable version of `path-parse` is included in the quay-rhel8 container it is a development dependency only, hence the impact by this vulnerability is low.

Comment 15 Anten Skrabec 2021-05-26 22:24:17 UTC
Since only the current version of ServiceMesh 2.0.x is supported for low and moderate impact vulnerabilities, the ServiceMesh 1.1.x components have been marked as OOSS.

Comment 18 errata-xmlrpc 2021-07-22 15:12:07 UTC
This issue has been addressed in the following products:

  Red Hat Virtualization Engine 4.4

Via RHSA-2021:2865 https://access.redhat.com/errata/RHSA-2021:2865

Comment 19 Product Security DevOps Team 2021-07-22 15:54:48 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-23343

Comment 20 Jan Werner 2021-07-29 14:32:15 UTC
Updated the published date to match the public date from Snyk instead of the disclose date. Thanks @btarraso

Comment 21 errata-xmlrpc 2021-08-06 00:51:15 UTC
This issue has been addressed in the following products:

  Red Hat Advanced Cluster Management for Kubernetes 2.3 for RHEL 7
  Red Hat Advanced Cluster Management for Kubernetes 2.3 for RHEL 8

Via RHSA-2021:3016 https://access.redhat.com/errata/RHSA-2021:3016

Comment 22 errata-xmlrpc 2021-08-26 10:15:16 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:3281 https://access.redhat.com/errata/RHSA-2021:3281

Comment 23 errata-xmlrpc 2021-08-26 10:18:47 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.7 EUS

Via RHSA-2021:3280 https://access.redhat.com/errata/RHSA-2021:3280

Comment 24 errata-xmlrpc 2021-09-21 13:12:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3623 https://access.redhat.com/errata/RHSA-2021:3623

Comment 25 errata-xmlrpc 2021-09-22 08:51:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2021:3639 https://access.redhat.com/errata/RHSA-2021:3639

Comment 26 errata-xmlrpc 2021-09-22 09:00:40 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.2 Extended Update Support

Via RHSA-2021:3638 https://access.redhat.com/errata/RHSA-2021:3638

Comment 27 errata-xmlrpc 2021-09-27 07:28:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3666 https://access.redhat.com/errata/RHSA-2021:3666

Comment 29 errata-xmlrpc 2021-12-01 17:23:58 UTC
This issue has been addressed in the following products:

  RHACS-3.67-RHEL-8

Via RHSA-2021:4902 https://access.redhat.com/errata/RHSA-2021:4902


Note You need to log in before you can comment on or make changes to this bug.